{#
  Component Name: Button
  Attributs:
  - class (String)
  - type (String)
  - path (Array)
		- name (String)
		- args (Array)
		- anchor (String)
  - label (String)
#}

{% if type is defined and type %}
	{% if type is same as ('link') and path is defined and path %}
		<a class="{{ class }}" href="{{ path('' ~ path.name ~ '', path.args) }}{{ path.anchor is defined ? path.anchor : '' }}">{{ label }}</a>
	{% else %}
		<button class="{{ class }}" type="{{ type }}">{{ label }}</button>
	{% endif %}
{% endif %}
